aboutsummaryrefslogtreecommitdiffhomepage
path: root/test-suite/coq-makefile/mllib1
diff options
context:
space:
mode:
Diffstat (limited to 'test-suite/coq-makefile/mllib1')
-rw-r--r--test-suite/coq-makefile/mllib1/_CoqProject9
-rwxr-xr-xtest-suite/coq-makefile/mllib1/run.sh30
-rw-r--r--test-suite/coq-makefile/mllib1/src/test.ml413
-rw-r--r--test-suite/coq-makefile/mllib1/src/test.mli0
-rw-r--r--test-suite/coq-makefile/mllib1/src/test_aux.ml1
-rw-r--r--test-suite/coq-makefile/mllib1/src/test_aux.mli1
-rw-r--r--test-suite/coq-makefile/mllib1/src/test_plugin.mllib2
-rw-r--r--test-suite/coq-makefile/mllib1/theories/test.v7
8 files changed, 63 insertions, 0 deletions
diff --git a/test-suite/coq-makefile/mllib1/_CoqProject b/test-suite/coq-makefile/mllib1/_CoqProject
new file mode 100644
index 000000000..6b2046d68
--- /dev/null
+++ b/test-suite/coq-makefile/mllib1/_CoqProject
@@ -0,0 +1,9 @@
+-R theories test
+-I src
+
+src/test_plugin.mllib
+src/test.ml4
+src/test.mli
+src/test_aux.ml
+src/test_aux.mli
+theories/test.v
diff --git a/test-suite/coq-makefile/mllib1/run.sh b/test-suite/coq-makefile/mllib1/run.sh
new file mode 100755
index 000000000..8f6b8e7ea
--- /dev/null
+++ b/test-suite/coq-makefile/mllib1/run.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+#set -x
+set -e
+
+export PATH=../../../bin/:$PATH
+git clean -dfx .
+coq_makefile -f _CoqProject -o Makefile
+make
+make html mlihtml
+make install DSTROOT="$PWD/tmp"
+#make debug
+(cd `find tmp -name user-contrib`; find) | sort > actual
+sort > desired <<EOT
+.
+./test
+./test/test.glob
+./test/test.cmi
+./test/test.cmo
+./test/test.cmx
+./test/test_aux.cmi
+./test/test_aux.cmo
+./test/test_aux.cmx
+./test/test_plugin.cma
+./test/test_plugin.cmxa
+./test/test_plugin.cmxs
+./test/test.v
+./test/test.vo
+EOT
+exec diff -u desired actual
diff --git a/test-suite/coq-makefile/mllib1/src/test.ml4 b/test-suite/coq-makefile/mllib1/src/test.ml4
new file mode 100644
index 000000000..8ddc9b095
--- /dev/null
+++ b/test-suite/coq-makefile/mllib1/src/test.ml4
@@ -0,0 +1,13 @@
+DECLARE PLUGIN "test_plugin"
+let () = Mltop.add_known_plugin (fun () -> ()) "test_plugin";;
+
+VERNAC COMMAND EXTEND Test CLASSIFIED AS SIDEFF
+ | [ "Test" ] -> [ () ]
+END
+
+TACTIC EXTEND test
+| [ "test" ] -> [ Test_aux.tac ]
+END
+
+
+
diff --git a/test-suite/coq-makefile/mllib1/src/test.mli b/test-suite/coq-makefile/mllib1/src/test.mli
new file mode 100644
index 000000000..e69de29bb
--- /dev/null
+++ b/test-suite/coq-makefile/mllib1/src/test.mli
diff --git a/test-suite/coq-makefile/mllib1/src/test_aux.ml b/test-suite/coq-makefile/mllib1/src/test_aux.ml
new file mode 100644
index 000000000..a01d0865a
--- /dev/null
+++ b/test-suite/coq-makefile/mllib1/src/test_aux.ml
@@ -0,0 +1 @@
+let tac = Proofview.tclUNIT ()
diff --git a/test-suite/coq-makefile/mllib1/src/test_aux.mli b/test-suite/coq-makefile/mllib1/src/test_aux.mli
new file mode 100644
index 000000000..10020f27d
--- /dev/null
+++ b/test-suite/coq-makefile/mllib1/src/test_aux.mli
@@ -0,0 +1 @@
+val tac : unit Proofview.tactic
diff --git a/test-suite/coq-makefile/mllib1/src/test_plugin.mllib b/test-suite/coq-makefile/mllib1/src/test_plugin.mllib
new file mode 100644
index 000000000..cf94d851b
--- /dev/null
+++ b/test-suite/coq-makefile/mllib1/src/test_plugin.mllib
@@ -0,0 +1,2 @@
+Test_aux
+Test
diff --git a/test-suite/coq-makefile/mllib1/theories/test.v b/test-suite/coq-makefile/mllib1/theories/test.v
new file mode 100644
index 000000000..7753b56aa
--- /dev/null
+++ b/test-suite/coq-makefile/mllib1/theories/test.v
@@ -0,0 +1,7 @@
+Declare ML Module "test_plugin".
+Test.
+Goal True.
+Proof.
+test.
+exact I.
+Qed.